Page MenuHomePhabricator

Change priority colors
Closed, DeclinedPublic

Description

Upstream report: https://secure.phabricator.com/T9237

Priorities "Unbreak now!" and "Needs Triage" currently have the colors indigo and violet, respectively. These two colors don't differ very much and can cause confusion.

Event Timeline

Negative24 raised the priority of this task from to Low.
Negative24 updated the task description. (Show Details)
Negative24 added a project: Phabricator.
Negative24 added a subscriber: Negative24.

My proposed solution is to set
Unbreak! => red
High => orange
Normal => yellow
Low => green
Lowest => sky
Triage => violet
This results in this:

Aklapper raised the priority of this task from Low to Needs Triage.Mar 25 2015, 6:05 PM

Are there real examples of "confusion" or is this hypothetical?

Asking as this is the first time I see the colors being brought up, after using Phab for four months with >700 active users per month.

I don't think we have a problem of colors either, but what is more important is that discussing colors here is probably rather pointless. Upstream has strong opinions about their UI. If you convince them, it will happen. If you don't convince them, we will not fork Phabricator here for this.

Aklapper claimed this task.

No feedback from reporter => declining

Qgil triaged this task as Lowest priority.
Qgil updated the task description. (Show Details)
Qgil moved this task from Backlog to Upstreamed on the Phabricator (Upstream) board.
Aklapper raised the priority of this task from Lowest to Medium.Aug 21 2015, 9:52 PM

Fixed in upstream by using pink for "Unbreak Now" priority instead of indigo.

Not sure if T108142 happened so either "will be fixed by that" or "will be fixed by next deployment".

This doesn't seem to be resolved, despite the latest deployment.

mmodell claimed this task.

Nevermind, the upstream fix just changed the default, it was only a matter of changing configuration on our instance to resolve this.

@Qgil: This is a very real problem. Twice this week, I have looked at a column and thought the top items were simply needs-triage, but in reality most were that, but one was unbreak now. I haven't reported it earlier because there are very few unbreak now tickets on our boards. When they appear, they should JUMP OUT AT YOU, not be hidden.

I generally agree with @Negative24's proposal above, but I understand that it's a big change, and would be likely to result in endless bikeshedding.

So my proposal would be to leave unbreak now as it is, and simply change needs-triage to something else. ANY color that is visually distinct from all the other colors. Grey is available, and has connotations of neutrality, which fit well with a task that hasn't yet been prioritized.

Oh, and this is definitely not "resolved". Pink, if that's what it is, has not solved the problem.


^ Current situation in this instance. Works for my screen.

Reopening because I think @ksmith has a point here. But, to counter that, I don't think that grey is quite appropriate because "needs triage" isn't exactly neutral priority, phabricator priorities look like

high < needs triage < unbreak now

Here is how it looks in real life. There are 3 pinkish/purplish tasks on the board. At a glance, which one(s) are unbreak now, and which one(s) are needs triage? Good luck!

@mmodell: Thanks for reopening!

Needs triage could be less saturated and darker perhaps? A small adjustment might be all that's needed. It's definitely harder to tell on a workboard than the task list. I tend to use maniphest task search much more than workboards.

So we can choose between this colours in configuration:

I think we can choose something like grey for needs triage, it has not a priority yet, so kind of not coloured. What do you think?

Aklapper lowered the priority of this task from Medium to Lowest.Jul 2 2018, 8:17 AM
Aklapper edited projects, added Phabricator; removed Upstream, Phabricator (Upstream).

Upstream ticket https://secure.phabricator.com/T9237 is closed by using pink for "Unbreak Now" priority instead of indigo.

Current situation:

  • UBN = pink
  • Needs triage = violet
  • High = red
  • Normal = orange
  • Low = yellow
  • Lowest = sky

Unused:

  • green
  • blue
  • indigo
  • grey
  • black

I'd propose to use grey for lowest.

maniphest.priorities can be changed by patching https://phabricator.wikimedia.org/source/operations-puppet/browse/production/modules/phabricator/data/fixed_settings.yaml$47

I'd say the current difference between UBN and Lowest is sufficient when looking at lists of results, hence boldly declining.

Note that on workboards, one can also group by priority by changing " Natural" to " Group by Priority" in the upper right corner.